cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/workflows/wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.settings_workflows.get_settings_workflow(
"wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settingsWorkflows.getSettingsWorkflow('wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settingsWorkflows->getSettingsWorkflow('wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings_workflows.settings_workflows_dto.SettingsWorkflowsDto.SettingsWorkflow;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsWorkflow> response = client.settingsWorkflows().getSettingsWorkflow(
"wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.SettingsWorkflows.GetSettingsWorkflowAsync("wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settingsWorkflows.getSettingsWorkflow(
'wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.SettingsWorkflows().GetSettingsWorkflow(context.Background(), "wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"workflow": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"code": "<unknown>",
"description": "<unknown>",
"entity": "<string>",
"event": "<string>",
"is_pre_built": true,
"enable_stage": true,
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}Workflow settings
Retrieve a workflow (settings path)
Retrieves one workflow from the settings area by its id.
GET
/
settings
/
workflows
/
{workflow_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/workflows/wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.settings_workflows.get_settings_workflow(
"wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settingsWorkflows.getSettingsWorkflow('wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settingsWorkflows->getSettingsWorkflow('wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings_workflows.settings_workflows_dto.SettingsWorkflowsDto.SettingsWorkflow;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsWorkflow> response = client.settingsWorkflows().getSettingsWorkflow(
"wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.SettingsWorkflows.GetSettingsWorkflowAsync("wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settingsWorkflows.getSettingsWorkflow(
'wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.SettingsWorkflows().GetSettingsWorkflow(context.Background(), "wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"workflow": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"code": "<unknown>",
"description": "<unknown>",
"entity": "<string>",
"event": "<string>",
"is_pre_built": true,
"enable_stage": true,
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}Returns the workflow under
workflow. Use the id a listed workflow carries.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The workflow's id, as the listing shows it.
Response
200 - application/json
The workflow, under workflow.
Show child attributes
Show child attributes